HTTP: agents
Default control-plane operations. Complete OpenAPI schema · Authentication and tenancy.
GET /api/agents
Section titled “GET /api/agents”List Agents
Operation ID: list_agents_api_agents_get.
Responses
Section titled “Responses”{ "200": { "description": "Successful Response", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/AgentsResponse" } } } }}Model declarations: AgentsResponse.
GET /api/agents/{agent_name}
Section titled “GET /api/agents/{agent_name}”Get Agent
Operation ID: get_agent_api_agents__agent_name__get.
| Parameter | Location | Required | Schema |
|---|---|---|---|
agent_name |
path | True | {"type":"string","minLength":1,"title":"Agent Name"} |
Responses
Section titled “Responses”{ "200": { "description": "Successful Response", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/AgentsResponse" } } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } }}Model declarations: AgentsResponse, HTTPValidationError.